VARKON Version 1.16 1998-09-21

> ## cur_int - Geometric procedure

> Creates a curve
> Description
> Creates the curve of intersect between a surface and a plane or between two planes. The plane can be defined as a b_plane or as the XY-plane of a coordinate system.
> Syntax
> cur_int(id, surf, plane, branch:attributes);

> REF | id;
> REF | surf;
> REF | plane;
> INT | branch;

> Principal parameters

> id | - Local identity
> surf | - ID of surface (or first coordinate system/b_plane)
> plane | - ID of coordinate system or b_plane

> Optional parameters

> branch | - Requested curve branch. Default value = 1.

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> CFONT | - Solid (0), dashed (1), center line (2)
> CDASHL | - Dash length
> WIDTH | - Linewidth

> Example
> cur_int(#3, #2, #1, 2);
> Creates a curve #3 which is the intersect between #2 and #1. Requested curve branch is branch 2.
> Comments
> When both surfaces are of type FAC_SUR the resulting curve will be an unordered set of straight lines.
> When both surfaces are bounded planes the output intersect becomes a straight line. The limits of the line will be defined by the polygons of the B-planes, i.e. the output line will be the common part of both planes. As options the first plane (branch= -1) or the second plane (branch= -2) define the limits.
> If 1000 is added to the value of the branch parameter, ie. 1001 for branch 1 or 1002 for branch 2 etc. the UV-representation of the curve is displayed instead of the real R3 curve.

VARKON Homepage | Index